Subject: Fwd: patch for the Fvwm FAQ

From: Dominik Vogt <[email-masked]>
Date: Fri, 19 Mar 1999 12:16:47 +0100

----- Forwarded message from [email-masked] -----

Date: Fri, 19 Mar 1999 20:05:49 +0900
Subject: patch for the Fvwm FAQ
From: [email-masked]
To: [email-masked]

Dear Dominik,

Here is a patch for the Fvwm FAQ. I'm sending it to you directly because (1)
my mailer may mess the newlines of the patch (2) I don't know how well the
fvwm-workers mailing list handles attached files.

Apart from spell checking and minor corrections, I put a user-oriented (not
developer-oriented) explanation for the odd behavior with FvwmM4/Cpp
(motivation: when I switched to fvwm2 it took me hours to solve this one
:-). If anybody solves this problem (as Tim Phipps seems to be trying to),
please remind to update the FAQ.

Yours truly,

                         Fred Maciel
                         E-mail  [email-masked]

P.S.1 - On the FvwmStyle module: I just sent a mail to the mailing list,
give a look.
P.S.2 - Who the heck is Fred? It's me!!! 8^)   (See FAQ if you didn't get
the joke)

Disclaimer:
I don't speak for Hitachi,
I don't know who speaks for Hitachi,
I don't want to know who speaks for Hitachi.

----- End forwarded message -----

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
diff -u -r fvwm-original/ChangeLog fvwm-changed/ChangeLog
--- fvwm-original/ChangeLog	Fri Mar 19 19:17:45 1999
+++ fvwm-changed/ChangeLog	Fri Mar 19 19:22:39 1999
@@ -1,3 +1,8 @@
+1999-03-19  Fred Maciel  <[email-masked]>
+
+	* docs/FAQ: spell corrections and better explanation for
+	FvwmM4/Cpp odd behavior.
+
 1999-02-22  Dominik Vogt  <[email-masked]>
 
 	* fvwm/fvwm2.1 (WindowsDesk): some clarification that this command has
diff -u -r fvwm-original/docs/FAQ fvwm-changed/docs/FAQ
--- fvwm-original/docs/FAQ	Fri Mar 19 19:17:38 1999
+++ fvwm-changed/docs/FAQ	Fri Mar 19 19:51:16 1999
@@ -44,7 +44,7 @@
           I edit my .fvwm2rc nothing seems to happen.  What's going on ?
      3.2  Is it possible to raise a window when I click into the
           window itself, not just the border?
-     3.3  How do I get Alt-Tab behaviour like another GUI?
+     3.3  How do I get Alt-Tab behavior like another GUI?
      3.4  What's the difference between the Focus and FlipFocus commands?
      3.5  You can bind mouse movements to keystrokes, how about mouse
           presses?
@@ -99,7 +99,7 @@
 
 6. Miscellaneous
 
-     6.1  What exactly is the differenct between a DESK, a PAGE, and
+     6.1  What exactly is the difference between a DESK, a PAGE, and
           the SCREEN?
      6.2  I'd really like {NeXT, Win95, etc} look and feel.  Are you
           going to support that?
@@ -135,7 +135,7 @@
 
 A: "Fill_in_the_blank_with_whatever_f_word_you_like_at_the_time
    Virtual Window Manager".  Rob Nation (the original Author of FVWM)
-   doesn't really remember what the F stood for origninally, so we
+   doesn't really remember what the F stood for originally, so we
    have several potential answers:
 
      Feeble, Fabulous, Famous, Fast, Foobar, Fantastic, Flexible,
@@ -143,7 +143,7 @@
      Funky, Fred's (who the heck is Fred?), Freakin', Flawed,
      Father-of-all, Feivel (the mouse from "An American Tail"), etc.
 
-   Just pick your favorite (hey, there's another one!), which will of
+   Just pick your Favorite (hey, here's another one!), which will of
    course change depending on your mood and whether or not you've run
    across any bugs recently.  I prefer Fabulous or Fantastic myself,
    although I often use F!@#$% or Freakin' while debugging...
@@ -306,7 +306,7 @@
           people at the same site would rather stay at 1.xx
         - fvwm2 coredumps usually if it tries to read in a 1.xx rc
           file because the syntax is pretty different and completely
-          incompatable
+          incompatible
         - when people ask questions, if they explicitly mention their
           .fvwm2rc file I know that they are running one of the 2.xx
           versions, since they rarely mention exactly what version
@@ -437,11 +437,11 @@
 
 ----------------------------------------------------------------------
 
-2.6  I'm a sysadmin, and if I wanted fvwm to look for all of it's rc
+2.6  I'm a sysadmin, and if I wanted fvwm to look for all of its rc
      files in a hidden directory, say ~/.fvwm, much like CDE does, how
      could I do that?
 
-A: This could be probably done similarily to Q2.5 above.  The system rc
+A: This could be probably done similarly to Q2.5 above.  The system rc
    file in the "sysconfdir" could do something like:
 
         Read .fvwm/Init      quiet
@@ -486,7 +486,7 @@
 
 ----------------------------------------------------------------------
 
-3.3  How do I get Alt-Tab behaviour like another GUI?
+3.3  How do I get Alt-Tab behavior like another GUI?
 
 A: The built in command WindowList provides a very close approximation
    to the Alt-Tab feature found in another GUI.  It doesn't look the
@@ -517,7 +517,7 @@
    This will just list the windows on the current desk (titles only).
 
    The other GUI has the feature of selecting the previous window if
-   Alt-TAB is hit and released quickly.  This behaviour cannot be exactly
+   Alt-TAB is hit and released quickly.  This behavior cannot be exactly
    duplicated but similar functionality can be assigned to hitting
    Alt-TAB twice in quick succession (like a double click for keys):
 
@@ -548,7 +548,7 @@
    with new windows being added to the end.  The FlipFocus command plucks
    the target window from the list and inserts it at the beginning, The
    Focus command rotates the list around until the target window is at
-   the beginning.  The behaviour of FlipFocus is also used when changing
+   the beginning.  The behavior of FlipFocus is also used when changing
    focus with the mouse and the automatic focus changing when using
    ClickToFocus style.
 
@@ -585,7 +585,7 @@
    but I don't want to code to anything specific to one of the newer
    X11 versions like this.  You could try using Xse, which is a
    program to interface to XSendEvent, available at ftp.x.org.  It
-   could probably be used in a smiliar manner to xcb above (or in
+   could probably be used in a similar manner to xcb above (or in
    conjunction with it).  If anyone comes up with good examples for
    this, please send it to the fvwm mailing list for inclusion here.
 
@@ -609,7 +609,7 @@
 
 3.7  Will FVWM ever support a separate colormap for each desktop?
 
-A: Doubtful, althougth I'd like to see it too.  I believe that it'd be
+A: Doubtful, although I'd like to see it too.  I believe that it'd be
    possible to change the default colormap whenever you switch desks,
    which would give programs started when that desk is active that
    colormap, how would you deal with windows being moved across desks?
@@ -619,8 +619,8 @@
    pre-allocated in all of the colormaps, or something like that.
 
    While this all *might* be technically possible, I don't feel that
-   it's really feasable right now (too much code bloat and
-   complexity), especially since most color hog programs (ie Netscape)
+   it's really feasible right now (too much code bloat and
+   complexity), especially since most color hog programs (i.e. Netscape)
    allow you to have them install private colormaps.
 
    I may explore this a little at some point in the future though.
@@ -852,10 +852,10 @@
 
        If command is an fvwm Exec command, then the button
        will remain pushed in until a window whose name or
-       class matches the qouted portion of the command is
+       class matches the quoted portion of the command is
        encountered.  This is intended to provide visual
        feedback to the user that the action he has requested
-       will be performed.  If the qouted portion contains no
+       will be performed.  If the quoted portion contains no
        characters, then the button will pop out immediately.
        Note that users can continue pressing the button, and
        re-executing the command, even when it looks "pressed
@@ -904,12 +904,18 @@
    getting their Borders & Style options set, etc.
 
    The reason for all this is because of the fact that FvwmM4 is a
-   module.  Fvwm won't be looking at the commands comming back from
+   module.  Fvwm won't be looking at the commands coming back from
    the module until after it hits the mainloop of the code, AFTER the
-   startup is all done and it's already tried to execute the
+   startup is all done and it has already tried to execute the
    InitFunction.
 
-   So, some solutions I've been thinking about:
+   There are two possible solutions:
+
+        - Start all your applications inside an InitFunction, or
+        - Put a Recapture in the end of your .fvwm2rc
+
+   This problem may be corrected in Fvwm in the future. Here are 
+   some solutions I've been thinking about:
 
         - Create an exec or script that will invoke whatever
           preprocessor you want appropriately and run that via
@@ -929,7 +935,7 @@
 
 4.4  I heard about this FvwmFileMgr module.  Where can I find it?
 
-A: The FvwmFileMgr module dissappeared because a file manager doesn't
+A: The FvwmFileMgr module disappeared because a file manager doesn't
    need to be integrated with a window manager and something like xfm
    does a much better job.  I recommend you pick that up instead (from
    ftp.x.org or your favorite mirror).
@@ -974,7 +980,7 @@
    please don't let this dissuade you from submitting them.  We like to
    get new ideas and we're always curious to see how someone would
    implement a given feature, even if we never plan to put it in fvwm.
-   Also, we may choose to reimplement any patches submitted, which may
+   Also, we may choose to re-implement any patches submitted, which may
    change the syntax, functionality, etc.  Please don't take offense
    from that, as we mean no offense and we generally have a good reason
    (at least by our way of thinking) for our actions...
@@ -992,7 +998,7 @@
            This will generate an empty ChangeLog entry in the right
            file (there are several ChangeLogs).  Add a description of
            what you did.  Do this each time you change a function or
-           file (for changes outside of funtions).  You should update
+           file (for changes outside of functions).  You should update
            the AUTHORS and NEWS files too if appropriate.
            Please take the time to add the ChangeLog entries, it makes
            our work a lot easier.
@@ -1009,12 +1015,12 @@
 
         Mail it to the fvwm-workers mailing list <[email-masked]>.
 
-	If your patch is large you should compress it (preferrably
+	If your patch is large you should compress it (preferably
         with gzip).  Should it still be larger than 25k you might want
         to to place it on a web page and email the URL to the mailing
         list or ask on the fvwm-workers list first.
 
-	Be sure to read the answer to Q16.
+	Be sure to read the answer to Q5.1.
 
 	Don't forget the ChangeLog.
 
@@ -1034,7 +1040,7 @@
    By detailed we mean more than just "my window isn't behaving right" or
    "I found a bug":
 
-        - Describe the problem as best you can, preferrably with
+        - Describe the problem as best you can, preferably with
           suggestions on how to reproduce it easily
         - If applicable, include information from:
                 xwininfo (preferably w/ the -all option)
@@ -1099,7 +1105,7 @@
 
    For the speed problem both suggestions above might help too.
    Another thing to try is to turn hilighting of the active menu
-   item other than by forground color off.  Put these lines in your
+   item other than by foreground color off.  Put these lines in your
    .fvwm2rc after the menu styles have been defined:
 
      MenuStyle <stylename> Hilight3DOff, HilightBackOff
@@ -1170,7 +1176,7 @@
                           6 - Miscellaneous
 ======================================================================
 
-6.1  What exactly is the differenct between a DESK, a PAGE, and the
+6.1  What exactly is the difference between a DESK, a PAGE, and the
      SCREEN?
 
 A: Our naming convention is sometimes a source of confusion, and when
@@ -1360,7 +1366,7 @@
 7.5  A more efficient MWM menu style.
 
    Perhaps you have noticed that with the MWM menu style your sub
-   menus are shown as soon as the pointer enters their menu item.  Even
+   menus are shown as soon as the pointer enters their menu item, even
    if you just want to scroll down the list.  You can prevent this with
    the 'PopupDelay' and 'PopupDelayed' options of the MenuStyle
    command:

---

From: Steve Robbins <[email-masked]>
Date: Fri, 19 Mar 1999 08:51:27 -0500 (EST)

> Apart from spell checking and minor corrections,

Hey, I protest!!!!  This is not a spell-correction.  Many of us spell the
word this way!!!!!!!

--
Steve Robbins                     <[email-masked]>

There's a little bit of Elvis in everybody.
Except Michael J. Fox -- he's the anti-Elvis.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Lee Willis <[email-masked]>
Date: 19 Mar 1999 14:20:20 +0000

> +     3.3  How do I get Alt-Tab behavior like another GUI?

I agree, although we do need some consistency, ie we shouldn't spell
behaviour with a u and then spell favorite without. It's an
English/American thing as far as I can see, so we need to choose one way
of doing it.

Lee.
-- 
I was doing object-oriented assembly at 1 year old ...  
For some reason my mom insists on calling it "Playing with blocks"
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 19 Mar 1999 20:49:57 +0100

> English/American thing as far as I can see, so we need to choose one way
  ^^^^^^^^^^^^^^^^
> of doing it.

Hah, I always knew it. The folks in the US don't speak English! ;-)
Not that I'm a fan of this idea, but the American way of spelling is
much easier to achieve now because it's already used most of the time.

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Steve Robbins <[email-masked]>
Date: Sat, 20 Mar 1999 11:13:42 -0500 (EST)

On 19 Mar 1999, Lee Willis wrote:

> behaviour with a u and then spell favorite without.

Why do we need to have consistency?

[It's a rhetorical question.  I'm not really interested in this debate.]

Istanbul was Constantinople,
now it's Istanbul, not Constantinople.
Why did Constantinople get the works?
That's nobody's business but the Turks'!

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 21 Mar 1999 13:56:01 +0100

> [It's a rhetorical question.  I'm not really interested in this debate.]

Well, we *don't* need it.

Bye

Dominik